# InventoryTypeAdapter
Date: 2018-12-06

com.massivecraft.factions.util

## Class InventoryTypeAdapter

- java.lang.Object
- - com.massivecraft.factions.util.InventoryTypeAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<org.bukkit.inventory.Inventory>, com.google.gson.JsonSerializer<org.bukkit.inventory.Inventory>

    public class InventoryTypeAdapter
    extends java.lang.Object
    implements com.google.gson.JsonSerializer<org.bukkit.inventory.Inventory>, com.google.gson.JsonDeserializer<org.bukkit.inventory.Inventory>

### Constructor Summary

Constructors
Constructor and Description
`InventoryTypeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.inventory.Inventory` `deserialize(com.google.gson.JsonElement jsonElement, java.lang.reflect.Type type, com.google.gson.JsonDeserializationContext jsonDeserializationContext)`
`com.google.gson.JsonElement` `serialize(org.bukkit.inventory.Inventory inventory, java.lang.reflect.Type type, com.google.gson.JsonSerializationContext jsonSerializationContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InventoryTypeAdapter

    public InventoryTypeAdapter()

### Method Detail

#### serialize

    public com.google.gson.JsonElement serialize(org.bukkit.inventory.Inventory inventory,
                                                 java.lang.reflect.Type type,
                                                 com.google.gson.JsonSerializationContext jsonSerializationContext)

Specified by:
  `serialize` in interface `com.google.gson.JsonSerializer<org.bukkit.inventory.Inventory>`

#### deserialize

    public org.bukkit.inventory.Inventory deserialize(com.google.gson.JsonElement jsonElement,
                                                      java.lang.reflect.Type type,
                                                      com.google.gson.JsonDeserializationContext jsonDeserializationContext)

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<org.bukkit.inventory.Inventory>`